Bug 176003

Summary: [PATCH] biology/p5-Bio-Phylo: update to 0.52
Product: Ports & Packages Reporter: gslin
Component: Individual Port(s)Assignee: Frederic Culot <culot>
Status: Closed FIXED    
Severity: Affects Only Me CC: perl
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
p5-Bio-Phylo-0.52.patch none

Description gslin 2013-02-10 10:20:00 UTC
- Update to 0.52

Port maintainer (perl@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-02-10 10:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Frederic Culot freebsd_committer 2013-02-10 10:26:06 UTC
Responsible Changed
From-To: perl->culot

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-02-16 14:59:00 UTC
Author: culot
Date: Sat Feb 16 14:58:51 2013
New Revision: 312356
URL: http://svnweb.freebsd.org/changeset/ports/312356

Log:
  - Update to 0.52 [1]
  - Capitalize names (Perl) in COMMENT
  
  PR:		ports/176003 [1]
  Submitted by:	Gea-Suan Lin <gslin@gslin.org>

Modified:
  head/biology/p5-Bio-Phylo/Makefile   (contents, props changed)
  head/biology/p5-Bio-Phylo/distinfo   (contents, props changed)
  head/biology/p5-Bio-Phylo/pkg-plist   (contents, props changed)

Modified: head/biology/p5-Bio-Phylo/Makefile
==============================================================================
--- head/biology/p5-Bio-Phylo/Makefile	Sat Feb 16 14:41:44 2013	(r312355)
+++ head/biology/p5-Bio-Phylo/Makefile	Sat Feb 16 14:58:51 2013	(r312356)
@@ -1,18 +1,14 @@
-# New ports collection makefile for:	Bio-Phylo
-# Date created:				12 Mar 2006
-# Whom:					Aaron Dalton <aaron@FreeBSD.org>
-#
+# Created by: Aaron Dalton <aaron@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	Bio-Phylo
-PORTVERSION=	0.50
+PORTVERSION=	0.52
 CATEGORIES=	biology perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
 
 MAINTAINER=	perl@FreeBSD.org
-COMMENT=	Phylogenetic analysis using perl
+COMMENT=	Phylogenetic analysis using Perl
 
 LICENSE=	ART10 GPLv1
 LICENSE_COMB=	dual
@@ -40,11 +36,14 @@ MAN3=		Bio::Phylo.3 \
 		Bio::Phylo::Forest::DrawNode.3 \
 		Bio::Phylo::Forest::DrawTree.3 \
 		Bio::Phylo::Forest::Node.3 \
+		Bio::Phylo::Forest::NodeRole.3 \
 		Bio::Phylo::Forest::Tree.3 \
+		Bio::Phylo::Forest::TreeRole.3 \
 		Bio::Phylo::Generator.3 \
 		Bio::Phylo::IO.3 \
 		Bio::Phylo::Identifiable.3 \
 		Bio::Phylo::Listable.3 \
+		Bio::Phylo::ListableRole.3 \
 		Bio::Phylo::Manual.3 \
 		Bio::Phylo::Matrices.3 \
 		Bio::Phylo::Matrices::Character.3 \
@@ -59,7 +58,9 @@ MAN3=		Bio::Phylo.3 \
 		Bio::Phylo::Matrices::Datatype::Rna.3 \
 		Bio::Phylo::Matrices::Datatype::Standard.3 \
 		Bio::Phylo::Matrices::Datum.3 \
+		Bio::Phylo::Matrices::DatumRole.3 \
 		Bio::Phylo::Matrices::Matrix.3 \
+		Bio::Phylo::Matrices::MatrixRole.3 \
 		Bio::Phylo::Matrices::TypeSafeData.3 \
 		Bio::Phylo::Mediators::TaxaMediator.3 \
 		Bio::Phylo::NeXML::DOM.3 \
@@ -76,6 +77,7 @@ MAN3=		Bio::Phylo.3 \
 		Bio::Phylo::Parsers::Abstract.3 \
 		Bio::Phylo::Parsers::Adjacency.3 \
 		Bio::Phylo::Parsers::Fasta.3 \
+		Bio::Phylo::Parsers::Figtree.3 \
 		Bio::Phylo::Parsers::Json.3 \
 		Bio::Phylo::Parsers::Newick.3 \
 		Bio::Phylo::Parsers::Nexml.3 \
@@ -136,7 +138,8 @@ MAN3=		Bio::Phylo.3 \
 		Bio::Phylo::Util::IDPool.3 \
 		Bio::Phylo::Util::Logger.3 \
 		Bio::Phylo::Util::OptionalInterface.3 \
-		Bio::Phylo::Util::StackTrace.3
+		Bio::Phylo::Util::StackTrace.3 \
+		Bio::PhyloRole.3
 
 post-patch:
 	@${REINPLACE_CMD} -e '/NAME/ s|Bio-Phylo|Bio::Phylo|' ${WRKSRC}/Makefile.PL

Modified: head/biology/p5-Bio-Phylo/distinfo
==============================================================================
--- head/biology/p5-Bio-Phylo/distinfo	Sat Feb 16 14:41:44 2013	(r312355)
+++ head/biology/p5-Bio-Phylo/distinfo	Sat Feb 16 14:58:51 2013	(r312356)
@@ -1,2 +1,2 @@
-SHA256 (Bio-Phylo-0.50.tar.gz) = 89e24ac1d68096226194f89b5088910ece4239372e63666011b5fae2a6e0fe3c
-SIZE (Bio-Phylo-0.50.tar.gz) = 378189
+SHA256 (Bio-Phylo-0.52.tar.gz) = 5c023acc76fb643581bc3612a80e9081ad1a795270bbc02a15f4460637c526c3
+SIZE (Bio-Phylo-0.52.tar.gz) = 398024

Modified: head/biology/p5-Bio-Phylo/pkg-plist
==============================================================================
--- head/biology/p5-Bio-Phylo/pkg-plist	Sat Feb 16 14:41:44 2013	(r312355)
+++ head/biology/p5-Bio-Phylo/pkg-plist	Sat Feb 16 14:58:51 2013	(r312356)
@@ -1,3 +1,4 @@
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Bio/Phylo/.packlist
 %%SITE_PERL%%/Bio/Phylo.pm
 %%SITE_PERL%%/Bio/Phylo/EvolutionaryModels.pm
 %%SITE_PERL%%/Bio/Phylo/Factory.pm
@@ -5,11 +6,14 @@
 %%SITE_PERL%%/Bio/Phylo/Forest/DrawNode.pm
 %%SITE_PERL%%/Bio/Phylo/Forest/DrawTree.pm
 %%SITE_PERL%%/Bio/Phylo/Forest/Node.pm
+%%SITE_PERL%%/Bio/Phylo/Forest/NodeRole.pm
 %%SITE_PERL%%/Bio/Phylo/Forest/Tree.pm
+%%SITE_PERL%%/Bio/Phylo/Forest/TreeRole.pm
 %%SITE_PERL%%/Bio/Phylo/Generator.pm
 %%SITE_PERL%%/Bio/Phylo/IO.pm
 %%SITE_PERL%%/Bio/Phylo/Identifiable.pm
 %%SITE_PERL%%/Bio/Phylo/Listable.pm
+%%SITE_PERL%%/Bio/Phylo/ListableRole.pm
 %%SITE_PERL%%/Bio/Phylo/Manual.pod
 %%SITE_PERL%%/Bio/Phylo/Matrices.pm
 %%SITE_PERL%%/Bio/Phylo/Matrices/Character.pm
@@ -24,7 +28,9 @@
 %%SITE_PERL%%/Bio/Phylo/Matrices/Datatype/Rna.pm
 %%SITE_PERL%%/Bio/Phylo/Matrices/Datatype/Standard.pm
 %%SITE_PERL%%/Bio/Phylo/Matrices/Datum.pm
+%%SITE_PERL%%/Bio/Phylo/Matrices/DatumRole.pm
 %%SITE_PERL%%/Bio/Phylo/Matrices/Matrix.pm
+%%SITE_PERL%%/Bio/Phylo/Matrices/MatrixRole.pm
 %%SITE_PERL%%/Bio/Phylo/Matrices/TypeSafeData.pm
 %%SITE_PERL%%/Bio/Phylo/Mediators/TaxaMediator.pm
 %%SITE_PERL%%/Bio/Phylo/Models/Substitution/Dna.pm
@@ -47,6 +53,7 @@
 %%SITE_PERL%%/Bio/Phylo/Parsers/Abstract.pm
 %%SITE_PERL%%/Bio/Phylo/Parsers/Adjacency.pm
 %%SITE_PERL%%/Bio/Phylo/Parsers/Fasta.pm
+%%SITE_PERL%%/Bio/Phylo/Parsers/Figtree.pm
 %%SITE_PERL%%/Bio/Phylo/Parsers/Json.pm
 %%SITE_PERL%%/Bio/Phylo/Parsers/Newick.pm
 %%SITE_PERL%%/Bio/Phylo/Parsers/Nexml.pm
@@ -102,15 +109,16 @@
 %%SITE_PERL%%/Bio/Phylo/Unparsers/Rss1.pm
 %%SITE_PERL%%/Bio/Phylo/Unparsers/Taxlist.pm
 %%SITE_PERL%%/Bio/Phylo/Util/CONSTANT.pm
+%%SITE_PERL%%/Bio/Phylo/Util/CONSTANT/Int.pm
 %%SITE_PERL%%/Bio/Phylo/Util/Dependency.pm
 %%SITE_PERL%%/Bio/Phylo/Util/Exceptions.pm
 %%SITE_PERL%%/Bio/Phylo/Util/IDPool.pm
 %%SITE_PERL%%/Bio/Phylo/Util/Logger.pm
+%%SITE_PERL%%/Bio/Phylo/Util/MOP.pm
 %%SITE_PERL%%/Bio/Phylo/Util/OptionalInterface.pm
 %%SITE_PERL%%/Bio/Phylo/Util/StackTrace.pm
-%%SITE_PERL%%/%%PERL_ARCH%%/auto/Bio/Phylo/.packlist
-@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Bio/Phylo
-@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Bio
+%%SITE_PERL%%/Bio/PhyloRole.pm
+@dirrm %%SITE_PERL%%/Bio/Phylo/Util/CONSTANT
 @dirrm %%SITE_PERL%%/Bio/Phylo/Util
 @dirrm %%SITE_PERL%%/Bio/Phylo/Unparsers
 @dirrm %%SITE_PERL%%/Bio/Phylo/Treedrawer
@@ -133,3 +141,5 @@
 @dirrm %%SITE_PERL%%/Bio/Phylo/Forest
 @dirrm %%SITE_PERL%%/Bio/Phylo
 @dirrmtry %%SITE_PERL%%/Bio
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Bio/Phylo
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Bio
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Frederic Culot freebsd_committer 2013-02-16 14:59:09 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!